/*
* Author:          Patrick-Christopher Mattulat
* Company:         Lynar Studios
* E-Mail:          webmaster@lynarstudios.com
* Created:         2023-03-31
* Changed:         2024-05-31
*
* */

#ifndef LS_STD_DATE_PARAMETER_MAPPER_HPP
#define LS_STD_DATE_PARAMETER_MAPPER_HPP

#include "DateParameter.hpp"
#include <ls-std/core/definition.hpp>
#include <ls-std/time/type/DateParameterTypes.hpp>
#ifdef _WIN32
  #include <windows.h>
#endif

namespace ls::std::time
{
  ls_std_class DateParameterMapper
  {
    public:

      DateParameterMapper();
      ~DateParameterMapper();

#if defined(unix) || defined(__APPLE__)
      [[nodiscard]] static type::UnixTimestamp toUnixTimestamp(const DateParameter &_dateParameter);
#endif
#ifdef _WIN32
      [[nodiscard]] static SYSTEMTIME toWindowsSystemTime(const DateParameter &_dateParameter);
#endif
  };
}

#endif
