/*
* Author:          Patrick-Christopher Mattulat
* Company:         Lynar Studios
* E-Mail:          webmaster@lynarstudios.com
* Created:         2023-04-09
* Changed:         2024-05-31
*
* */

#ifndef LS_STD_JNI_DATE_PARAMETER_MAPPER_HPP
#define LS_STD_JNI_DATE_PARAMETER_MAPPER_HPP

#include <ls-std/core/definition.hpp>
#include <ls-std/core/jni/JniClass.hpp>
#include <ls-std/time/common/DateParameter.hpp>

namespace ls::std::time::experimental
{
  ls_std_class JniDateParameterMapper
  {
    public:

      JniDateParameterMapper();
      ~JniDateParameterMapper();

      [[nodiscard]] static DateParameter toDateParameter(const core::experimental::JniClass &_javaClass);
  };
}

#endif
