/*
* Author:          Patrick-Christopher Mattulat
* Company:         Lynar Studios
* E-Mail:          webmaster@lynarstudios.com
* Created:         2023-03-07
* Changed:         2024-05-31
*
* */

#ifndef LS_STD_SYSTEM_TIME_HPP
#define LS_STD_SYSTEM_TIME_HPP

#include "SystemTimeParameter.hpp"
#include <ls-std/core/Class.hpp>
#include <ls-std/time/common/DateParameter.hpp>
#include <memory>
#include <string>

namespace ls::std::time
{
  ls_std_class SystemTime final : public core::Class
  {
    public:

      explicit SystemTime(const ::std::shared_ptr<SystemTimeParameter> &_parameter);
      SystemTime();
      ~SystemTime() noexcept override;

      [[nodiscard]] bool set(const DateParameter &_dateParameter) const;

    private:

      ::std::shared_ptr<SystemTimeParameter> parameter{};

      [[nodiscard]] static ::std::string _fetchClassName();
      void _generateParameter();
  };
}

#endif
